# mwx::bigendian

`mwx::stream` の `<<` 演算子に対して数値型をビッグエンディアンのバイト列で出力するヘルパークラスです。

```cpp
Serial << mwx::bigendian(0x1234abcdUL);

// output binary -> 0x12 0x34 0xab 0xcd
```

### コンストラクタ

```cpp
template <typename T>
bigendian::bigendian(T v)
```

| パラメータ | 解説                             |
| ----- | ------------------------------ |
| `v`   | `uint16_t` または `uint32_t` の型の値 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mwx.twelite.info/v0.1.8/api-reference/classes/twe-stream/twe-bigendian.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
